As @wwalc reported at #1154602: The CKEditor component is not installed correctly on Drupal 7 using the module 7.x and the 3.6 editor package:

There is something wrong with the module (error message at least is wrong). To reproduce, unpack CKEditor in sites/all/libraries and then rename sites/all/libraries into sites/all/_libraries.

The error message that will show up will in admin/config/content/ckeditor will look like this:

The CKEditor component is not installed correctly. Please go to the CKEditor homepage to download the latest version. After that you must extract the files to sites/all/libraries/ckeditor or sites/all/libraries/ckeditor and make sure that the file sites/all/libraries/ckeditor/ckeditor.js or sites/all/libraries/ckeditor/ckeditor.js exist. Refer to the README.txt for more information.

I suppose one of the alternatives should be "sites/all/modules/ckeditor/ckeditor"

Comments

Status:Active» Fixed

Message fixed and commited to GIT.

Please check the latest dev release and let me know if you notice any poblems with it. Remember to clear Drupal cache and browsers cache before testing.

Status:Fixed» Closed (fixed)